buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Donald (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (BUILDR-710) Buildr gets confused over Gemfile
Date Sun, 02 Apr 2017 23:35:42 GMT

     [ https://issues.apache.org/jira/browse/BUILDR-710?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Peter Donald updated BUILDR-710:
--------------------------------
    Fix Version/s:     (was: 1.5.1)
                   1.5.2

> Buildr gets confused over Gemfile
> ---------------------------------
>
>                 Key: BUILDR-710
>                 URL: https://issues.apache.org/jira/browse/BUILDR-710
>             Project: Buildr
>          Issue Type: Bug
>          Components: Core features
>    Affects Versions: 1.4.21
>            Reporter: Thibault Kruse
>            Assignee: Peter Donald
>            Priority: Minor
>             Fix For: 1.5.2
>
>
> Hi,
> Using buildr-1.4.23
> I had a Gemfile in my current Dir hwen invoking buildr, leading to buildr failing with
errors like:
> Could not find addressable-2.3.8 in any of the sources
> Run `bundle install` to install missing gems.
> The Gemfile was:
> {code}
> source "https://rubygems.org"
> gem "jekyll"
> gem "html-proofer"
> gem "asciidoctor-pdf"
> gem "coderay"
> gem "pygments.rb"
> {code}
> I don't know if that is standard ruby behavior maybe, but I feel buildr should not care
whether a gemfile is present or not. - See more at: http://www.forumjar.com/forums/topic/Apache_Buildr_gets_confused_over_Gemfile#sthash.Rivie2GQ.dpuf



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message